Page MenuHome

purple background in ember forest scene from blender website
Closed, ResolvedPublic

Description

System Information

macos high serria Blender Version_2.80

Broken: 2.8 eb7b450c0c6(splash screen)

Short description of error
in ember forest the background get purple

Exact steps for others to reproduce the error
just open the ember forest file.

https://download.blender.org/demo/eevee/ember_forest/forest.blend

Details

Type
Bug

Event Timeline

Bastien Montagne (mont29) triaged this task as Incomplete priority.Aug 12 2018, 1:25 PM

Please follow our submission template and guidelines, also read these tips about bug reports, and make a complete, valid bug report, with required info, precise description of the issue (only ONE issue per report!), precise steps to reproduce it, small and simple .blend and/or other files to do so if needed, etc.

Here a screencapture of the 'purple' would help, not sure what you see actually. @Arto Kitula (akitula) or @Clément Foucault (fclem) may be able to help you more too?

here is the screenshot i have not change any setting..

when i boot back to windows . 10 and open this scene in blender 2.8 i works fine . but in macos i don't.
if you need any other info let me know

I think that's either a missing texture or a failled shader,

@wahhaj (wahaj) Try replacing the textures in the world node tree by texture on your Hard Drive. (there might be textures on the tree too)

If that fixes the purple issue then it's not really viewport problem but more of a OSX / texture packaging problem.

Arto Kitula (akitula) raised the priority of this task from Incomplete to Normal.Aug 12 2018, 7:03 PM

Confirmed. Unpacking file to disk and using that gives purple. Got crash while testing out, I'll investigate it further.

Nothing wrong with texture, if Volume is disconnected, the background texture is shown normally.

@Clément Foucault (fclem), Here is output of debug build:

GPUShader: linking error:
WARNING: Output of vertex shader 'varposition' not read by fragment shader
WARNING: Output of vertex shader 'varnormal' not read by fragment shader
ERROR: Input of fragment shader 'var0' not written by vertex shader

GPUShader: linking error:
ERROR: Input of fragment shader 'var0' not written by geometry shader

so is a bug right.

Bastien Montagne (mont29) lowered the priority of this task from Normal to Incomplete.Sep 17 2018, 3:35 PM

@Arto Kitula (akitula) @wahhaj (wahaj) This should be fixed by rB731d0d8d0f49. Can you confirm that?

nah i download the latest blender 2.8 still have the same issue , if i remove the volumetric shader i t show the hdri in the background..
tell me if you need any more detail

@wahhaj (wahaj) Latest buildbot for macosx is still from the 14sept. Someone need to fix that. So if you did not compiled blender yourself you did the test on a version without the aforementioned patch.

wahhaj (wahaj) added a comment.EditedSep 18 2018, 8:13 PM

Oh. Ok thanks for the fix

Bastien Montagne (mont29) closed this task as Resolved.Sep 30 2018, 9:57 PM

Closing then.

wahhaj (wahaj) added a comment.EditedOct 10 2018, 8:28 AM

hello i have just check the forest file with october blender 2.8 still have the same issue @Clément Foucault (fclem)

wahhaj (wahaj) reopened this task as Open.Oct 10 2018, 8:32 AM
Philipp Oeser (lichtwerk) raised the priority of this task from Incomplete to Needs Triage.

Working here on linux (but I think we already were at the point where this is a MAC only thing?)

@wahhaj that would be nice if you could paste the errors showing in the console similar to what @Arto Kitula (akitula) did. You don't need a debug build for that.

@Clément Foucault (fclem) hello, this is what it show on python console sorry for late reply,

PYTHON INTERACTIVE CONSOLE 3.7.0 (default, Sep 11 2018, 17:36:20) [Clang 9.1.0 (clang-902.0.39.2)]

Command History: Up/Down Arrow
Cursor: Left/Right Home/End
Remove: Backspace/Delete
Execute: Enter
Autocomplete: Ctrl-Space
Zoom: Ctrl +/-, Ctrl-Wheel
Builtin Modules: bpy, bpy.data, bpy.ops, bpy.props, bpy.types, bpy.context, bpy.utils, bgl, blf, mathutils
Convenience Imports: from mathutils import *; from math import *
Convenience Variables: C = bpy.context, D = bpy.data

@wahhaj (wahaj) we are not talking of python interactive window, but system console from which you’ll have launched Blender (using debug option, so something like blender --debug).

@wahhaj (wahaj) we are not talking of python interactive window, but system console from which you’ll have launched Blender (using debug option, so something like blender --debug).

Ah 😓 can you show me how to do that i have lauch blender with icon .

wahhaj (wahaj) added a comment.EditedNov 7 2018, 5:31 AM

hello i just download the nov 7 blender this time it didnt show purple background :)


here is output in console

Last login: Wed Nov 7 09:20:54 on ttys001
wahhajs-iMac:~ wahhajsheikh$ /Applications/blender_2.8.app/Contents/MacOS/blender ; exit;
Read prefs: /Users/wahhajsheikh/Library/Application Support/Blender/2.80/config/userpref.blend
found bundled python: /Applications/blender_2.8.app/Contents/Resources/2.80/python
Read blend: /Users/wahhajsheikh/untitled folder/Downloads/forest.blend
GPUShader: compile error:
ERROR: 0:4477: Use of undeclared identifier 'worldNormal'
ERROR: 0:4489: Use of undeclared identifier 'worldNormal'
0
@Brecht Van Lommel (brecht)

World volumes were broken for a bit, this should be fixed now.

World volumes were broken for a bit, this should be fixed now.

Oh so its fix in new builds ?,then will check later